/* There are following 3 alternative options. */
/* Main Options              Sub Options      total possibilities
   STHREADS  (stgcc)         USE_SMALLOC          2
   ST_SEQ    (gcc or stgcc)  USE_SMALLOC          4
                             PP_ONLY(stgcc)
   no option (cilk)                                 1
*/
#if defined(STHREADS) && (MTCAMP)
#  include "cilk2mtcamp.h"
#elif defined(STHREADS)
#  include "cilk2st.h"
#elif defined(ST_SEQ)
#  include "cilk2seq.h"
#else
#  include "cilk2cilk.h"
#endif
